Public Attributes | List of all members
ble_gap_dev_info_t Union Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Device info. More...

`#include <ble_gapc.h>`

## Public Attributes
ble_gap_dev_version_ind_t | dev_version
ble_gap_get_bd_addr_t | get_bd_addr
ble_gap_dev_adv_tx_power_t | adv_tx_power
ble_gap_sugg_dflt_data_len_t | sugg_dflt_data_len
ble_gap_max_data_len_t | max_data_len
ble_gap_nb_adv_sets_t | nb_adv_sets
ble_gap_max_adv_data_len_ind_t | max_adv_data_len
ble_gap_dev_tx_power_t | dev_tx_power
ble_gap_dev_rf_path_comp_ind_t | dev_rf_path_comp
ble_gap_antenna_inf_t | dev_antenna_inf

## Detailed Description

Device info.

Definition at line 396 of file ble_gapc.h.

## Member Data Documentation

## ◆ adv_tx_power

ble_gap_dev_adv_tx_power_t ble_gap_dev_info_t::adv_tx_power

Advertising TX power info.

Definition at line 400 of file ble_gapc.h.

## ◆ dev_antenna_inf

ble_gap_antenna_inf_t ble_gap_dev_info_t::dev_antenna_inf

Device antenna information.

Definition at line 407 of file ble_gapc.h.

## ◆ dev_rf_path_comp

ble_gap_dev_rf_path_comp_ind_t ble_gap_dev_info_t::dev_rf_path_comp

RF path compensation values.

Definition at line 406 of file ble_gapc.h.

## ◆ dev_tx_power

ble_gap_dev_tx_power_t ble_gap_dev_info_t::dev_tx_power

Device TX power info.

Definition at line 405 of file ble_gapc.h.

## ◆ dev_version

ble_gap_dev_version_ind_t ble_gap_dev_info_t::dev_version

Version info.

Definition at line 398 of file ble_gapc.h.

## ◆ get_bd_addr

ble_gap_get_bd_addr_t ble_gap_dev_info_t::get_bd_addr

Device BD address info.

Definition at line 399 of file ble_gapc.h.

## ◆ max_adv_data_len

ble_gap_max_adv_data_len_ind_t ble_gap_dev_info_t::max_adv_data_len

Maximum advertising data length info.

Definition at line 404 of file ble_gapc.h.

## ◆ max_data_len

ble_gap_max_data_len_t ble_gap_dev_info_t::max_data_len

Suggested MAX data length info.

Definition at line 402 of file ble_gapc.h.

## ◆ nb_adv_sets

ble_gap_nb_adv_sets_t ble_gap_dev_info_t::nb_adv_sets

Number of available advertising sets.

Definition at line 403 of file ble_gapc.h.

## ◆ sugg_dflt_data_len

ble_gap_sugg_dflt_data_len_t ble_gap_dev_info_t::sugg_dflt_data_len

Suggested default data length info.

Definition at line 401 of file ble_gapc.h.

The documentation for this union was generated from the following file:

- ble_gapc.h